% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/remove_vars.R
\name{remove_var}
\alias{remove_var}
\title{Remove variables from a data frame}
\usage{
remove_var(x, ...)
}
\arguments{
\item{x}{A vector or data frame.}

\item{...}{Character vector with variable names, or unquoted names
of variables that should be removed from the data frame.
You may also use functions like \code{:} or dplyr's \code{\link[dplyr]{select_helpers}}.}
}
\value{
\code{x}, with variables specified in \code{...} removed.
}
\description{
This function removes variables from a data frame, and is
             intended to use within a pipe-workflow.
}
\examples{
mtcars \%>\% remove_var("disp", "cyl")
mtcars \%>\% remove_var(c("wt", "vs"))
mtcars \%>\% remove_var(drat:am)

}
